Agents

Run an ad-hoc synthetic monitor connectivity test

POST
/organizations/{organizationId}/synthetic-monitors/test-check

Path Parameters

organizationId*string
Formatuuid

Header Parameters

x-organization-role*string

Portal impersonation role (pair with x-organization-id)

Value in

  • "ORG_ADMIN"
  • "ORG_MEMBER"
x-organization-id*string

Must match the organizationId path segment

Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/organizations/497f6eca-6276-4993-bfeb-53cbbbba6f08/synthetic-monitors/test-check" \  -H "x-organization-role: ORG_ADMIN" \  -H "x-organization-id: 497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{    "url": "http://example.com",    "assertions": {}  }'
{  "status": "up",  "responseTimeMs": 0,  "httpStatusCode": 0,  "certExpiresAt": "2019-08-24T14:15:22Z",  "certDaysRemaining": 0,  "errorMessage": "string"}
{  "message": "string"}
{  "message": "string"}